<?php
require_once('app/config.php');
require_once('auth.php');
?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Bilder/Daten verwalten - RRZE NavEditor 2.0 - Prototype</title>
<link rel="stylesheet" type="text/css" href="css/styles.css" />
<script type="text/javascript" src="js/jquery-1.4.2.min.js"></script>
<script type="text/javascript" src="js/json2.js"></script>
<script type="text/javascript" src="js/ajaxfileupload.js"></script>
<script type="text/javascript">
<!--
var folderTreeHtml = "";
var currentPath = "";
var gUserPermissionPath = "<?php echo($g_current_user_permission); ?>";

function ajaxFileUpload() {
	$("#ajaxWaiting")
	.ajaxStart(function() {
		$(this).show();
	})
	.ajaxComplete(function() {
		$(this).hide();
	});

	$.ajaxFileUpload({
		"url": "app/do_upload.php",
		"secureuri": false,
		"fileElementId": "filAttachment",
		"customHiddenData": "PATH|" + currentPath,
		"maxFileSize": (1048576 * 8).toString(), // MB
		"dataType": "json",
		"success": function(data, status) {
			alert("Datei wurde hochgeladen!");
			$("#filAttachment").val("");
			getFileList();
		},
		"error": function(data, status, e) {
			alert("Oops... " + e);
		}
	});
	
	return false;
}

function generateFolderTreeHtml(jsonTreeData, isRoot) {
	folderTreeHtml += "<ul>";
	if(isRoot) {
		folderTreeHtml += "<li>" + (jsonTreeData.sub.length > 0 ? "<b class=\"tg1\">-</b> " : "&nbsp; ") + "<a href='javascript:;' rel='" + jsonTreeData.dir_path + "'>" + jsonTreeData.dir_name + "</a>";
		if(jsonTreeData.sub.length > 0) {
			generateFolderTreeHtml(jsonTreeData.sub, false);
		}
		folderTreeHtml += "</li>";
	} else {
		for(var i = 0; i < jsonTreeData.length; i++) {
			folderTreeHtml += "<li>" + (jsonTreeData[i].sub.length > 0 ? "<b class=\"tg1\">-</b> " : "&nbsp; ") + "<a href='javascript:;' rel='" + jsonTreeData[i].dir_path + "'>" + jsonTreeData[i].dir_name + "</a>";
			if(jsonTreeData[i].sub.length > 0) {
				generateFolderTreeHtml(jsonTreeData[i].sub);
			}
			folderTreeHtml += "</li>";
		}
	}
	folderTreeHtml += "</ul>";
}

function buildFileList(filelist) {
	var html = "<table id='tblFileList' cellspacing='1'>";
	html += "<tr><th>Name</th><th>Size</th><th>Date Modified</th><th>Oper.</th></tr>"
	for(var i = 0; i < filelist.length; i++) {
		html += "<tr><td class='fileNameLink'>" + filelist[i].icon + " <a href='javascript:;'>" + filelist[i].file_name + "</a></td>";
		html += "<td>" + filelist[i].file_size + "</td>";
		html += "<td>" + filelist[i].access_time + "</td>";
		html += "<td><a class='fileListDeleteLink' href='javascript:;' rel='" + filelist[i].file_name + "'><b>X</b></a>";
	}
	html += "</table>";
	$("#fileListPanel").html(html);
}

function getFileInfoCallback(resp) {
	var fi = JSON.parse(resp);
//	$("#fileInfoPrompt").html("");
	if(fi.thumb_name != "") {
		var thumbHtml = "<img alt='' src='" + fi.thumb_name + "' style='border:0;' />";
		$("#thumbImage").html(thumbHtml);
		$("#txtFileThumbUrl").val(fi.thumb_name);
	} else {
		$("#thumbImage").html("");
		$("#txtFileThumbUrl").val("");
	}
	$("#fileNameTd").html(fi.file_name);
	$("#fileSizeTd").html(fi.file_size);
	$("#txtFileUrl").val(fi.url);
	if(fi.editable) {
		$("#btnQuickEdit").removeAttr("disabled");
	} else {
		$("#btnQuickEdit").attr("disabled", "true");
	}
}

function regFileListEvents() {
	if(currentPath == "") return;
	
	$("#tblFileList .fileNameLink a").click(function() {
		var fpath = currentPath + "/" + $(this).html();
		clearFileInfo();
		$.post("app/file_manager.php", {
			"service": "get_file_info",
			"file_path": fpath
		}, getFileInfoCallback);
	});
	
	$("#tblFileList a.fileListDeleteLink").click(function() {
		if(!window.confirm("Sind Sie sicher, diese Datei zu löschen?")) {
			return;
		}
		var row = $(this);
		var fpath = currentPath + "/" + row.attr("rel");
		$.post("app/file_manager.php", {
			"service": "delete_file",
			"file_path": fpath
		}, function() {
			clearFileInfo();
			row.parent().parent().fadeOut();
		});
	});
}

function getFileListCallback(res) {
	var fl = JSON.parse(res);
	buildFileList(fl);
	regFileListEvents();
}

function getFileList() {
	if(currentPath == "")
		return;
	$.post("app/file_manager.php", {
		"service": "get_file_list",
		"current_path": currentPath
	}, getFileListCallback);
}

function regFolderTreeEvents() {
	$("#folderTreePanel li a").click(function() {
		$("#folderTreePanel li a").removeClass("on");
		$(this).addClass("on");
		var seletedPath = $(this).attr("rel");
		currentPath = seletedPath;
		getFileList();
	});
	
	$("#folderTreePanel li b.tg1").click(function() {
		var btag = $(this);
		var btagFace = btag.html();
		btag.parent().find("ul").toggle("normal", function() {
			btag.html((btagFace == "-" ? "+" : "-"));
		});
	});
}

function loadFolderTreeCallback(res) {
	generateFolderTreeHtml(res, true);
	$("#folderTreePanel").html(folderTreeHtml);
	regFolderTreeEvents();
	setPanelScroll();
	// automatically select first node
	var rootLink = $("#folderTreePanel > ul > li:first a:first");
	rootLink.addClass("on");
	currentPath = rootLink.attr("rel");
	getFileList();
}

function loadFolderTree() {
	folderTreeHtml = "";
	$.getJSON("app/file_manager.php?service=load_folder_tree&r=" + Math.random(), {"user_permission_folder": gUserPermissionPath}, loadFolderTreeCallback);
}

function clearFileInfo() {
	$("#txtFileUrl").val("");
	$("#txtFileThumbUrl").val("");
	$("#btnQuickEdit").attr("disabled", "true");
	$("#txtQuickEdit").val("");
	$("#btnQuickEditSubmit").attr("disabled", "true");
}

function setPanelScroll() {
	var winHeight = $(window).height();
	var panelHeight = winHeight - 208; // TODO
	$("#folderTreePanel").css("max-height", panelHeight + "px");
	$("#fileListPanel").css("max-height", panelHeight + "px");
}

$(document).ready(function() {
	$("#uploadedList a[name='sel_img']").click(function() {
		$("#txtImgUrl").val($(this).attr("rel"));
	});
	
	$("#filAttachment").click(function() {
		if(currentPath == "") {
			alert("Bitte Zielverzeichnis klicken!");
			return false;
		}
	});
	
	$("#btnAjaxUpload").click(function() {
		if(currentPath == "") {
			alert("Bitte Zielverzeichnis klicken!");
			return;
		}
		if($("#filAttachment").val() != "") {
			var filePath = currentPath + "/" + $("#filAttachment").val().replace(/\s/g, "_");
//			alert(filePath);
			$.post("app/file_manager.php", {
				"service": "check_dup_name",
				"file_path": filePath
			}, function(rdata) {
				if(rdata == "1") {
					if(confirm("Die Datei ist bereits existiert, wollen Sie überschreiben?")) {
						return ajaxFileUpload();
					}
				} else {
					return ajaxFileUpload();
				}
			});
		}
	});
	
	$("#btnCreateSubFolder").click(function() {
		if(currentPath == "") {
			alert("Bitte Zielverzeichnis klicken!");
			return;
		}
		var folderName = prompt("Verzeichnisname?");
		if(folderName != "") {
			$.post("app/file_manager.php", {
				"service": "create_subfolder",
				"current_path": currentPath,
				"new_subfolder_name": folderName
			}, function(resp) {
				if(resp == "0") {
					alert("Fehler beim Verzeichniserstellen, versuch nochmal!");
				} else {
					loadFolderTree();
				}
			});
		}
	});
	
	$("#btnRemoveFolder").click(function() {
		if(currentPath == "") {
			alert("Bitte ein Verzeichnis wählen!");
			return;
		}
		if(confirm("CAUTION! Sind Sie WIRKLICH sicher, das ganze VZ zu löschen?")) {
			$.post("app/file_manager.php", {
				"service": "delete_folder",
				"folder": currentPath
			}, function(resp) {
				alert(resp);
				loadFolderTree();
			});
		}
	});
	
	$("#txtFileUrl").mouseover(function() {
		$(this).select();
	});
	
	$("#txtFileThumbUrl").mouseover(function() {
		$(this).select();
	});
	
	$("#btnQuickEdit").click(function() {
		if(currentPath == "") {
			return;
		}
		
		$.post("app/file_manager.php", {
			"service": "load_file_content",
			"file_path": $("#txtFileUrl").val()
		}, function(resp) {
			var rdata = resp.replace(/<comment_ssi>/g, "<!-" + "-#");
			rdata = rdata.replace(/<comment>/g, "<!-" + "-");
			rdata = rdata.replace(/<\/comment>/g, "-" + "->");
			$("#txtQuickEdit").val(rdata);
			if(resp != "" && resp != "File not found!") {
				$("#btnQuickEditSubmit").removeAttr("disabled");
			}
		})
	});
	
	$("#btnQuickEditSubmit").click(function() {
		if(currentPath == "") {
			return;
		}
		if(!confirm("Sind Sie sicher?")) {
			return;
		}
		var cnt = $("#txtQuickEdit").val();
		cnt = cnt.replace(new RegExp("<!-" + "-#", "g"), "<comment_ssi>");
		cnt = cnt.replace(/<!--/g, "<comment>");
		cnt = cnt.replace(/-->/g, "</comment>");
		$.post("app/file_manager.php", {
			"service": "save_file_content",
			"file_path": $("#txtFileUrl").val(),
			"new_content": cnt
		}, function(resp) {
			alert(resp);
		});
	});
	
	$(window).resize(function() {
		setPanelScroll();
	});
	
	loadFolderTree();
	clearFileInfo();
});
// -->
</script>
</head>

<body id="bd_Bilder">
<div id="wrapper">
	<h1 id="header">RRZE NavEditor 2.0 <sup>beta</sup></h1>
	<div id="navBar">
		<?php require('common_nav_menu.php'); ?>
	</div>
	
	<div id="contentPanel1">
		
		<div id="newFM">
			<div id="folderTreeWrapper">
				<div id="folderOperArea">
					<input type="button" id="btnCreateSubFolder" class="button" value="UnterVZ erstellen" />
					<input type="button" id="btnRemoveFolder" class="button" value="VZ entf." />
				</div>
				<div id="folderTreePanel"></div>
			</div>
			<div id="fileListWrapper">
				<div id="ajaxUploadArea">
					<form id="ajaxUploadForm">
						<input type="file" id="filAttachment" name="filAttachment" class="textBox" />
						<input type="button" id="btnAjaxUpload" name="btnAjaxUpload" value="Hochladen" class="button" />
						<img id="ajaxWaiting" src="ajax-loader.gif" border="0" style="width:16px;height:16px;border:0;display:none;" />
					</form>
				</div>
				<div id="fileListPanel"></div>
				<div id="fileInfoDisplay">
					<div id="fileInfoPrompt">
						Für die Einbindung der Bilder/Dateien in die Webseite:
						<ol>
							<li>Klicken Sie auf die Datei.</li>
							<li>Kopieren Sie die Adresse der Datei aus dem Feld &quot;URL&quot;</li>
							<li>F&uuml;gen Sie diese Adresse an der entsprechenden Stelle in die Webseite ein.</li>
						</ol>
					</div>
					<div id="thumbImage"></div>
					<table cellspacing="1" border="0">
						<tr>
							<th>Dateiname:</th>
							<td id="fileNameTd">k.A.</td>
						</tr>
						<tr>
							<th>Dateigröße:</th>
							<td id="fileSizeTd">k.A.</td>
						</tr>
						<tr>
							<th>URL:</th>
							<td><input type="text" id="txtFileUrl" class="textBox" style="width:12em;" size="12" /></td>
						</tr>
						<tr>
							<th>Thumb:</th>
							<td><input type="text" id="txtFileThumbUrl" class="textBox" style="width:12em;" size="12" /></td>
						</tr>
						<?php if($is_admin) { ?>
						<tr>
							<th>Oper.:</th>
							<td><input type="button" id="btnQuickEdit" class="button" value="Bearbeiten" disabled="true" /></td>
						</tr>
						<tr>
							<td colspan="2">
								<textarea id="txtQuickEdit" class="textBox" cols="20" rows="10" style="width:98%;"></textarea>
								<br />
								<input type="button" id="btnQuickEditSubmit" class="button" value="Speichern" />
							</td>
						</tr>
						<?php } ?>
					</table>
				</div>
				<div class="z"></div>
			</div>
			<div class="z"></div>
		</div>
	
<?php require('common_footer.php'); ?>
</div>
</body>

</html>
