<?php
require_once('auth.php');
if(!$is_admin) { // this page is for admin only!
	auth401();
}
?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Kontaktdatei bearbeiten - RRZE NavEditor 2.0 Beta</title>
<link rel="stylesheet" type="text/css" href="css/styles.css" />

<script src="http://maps.google.com/maps?file=api&amp;v=2&amp;sensor=false&amp;key=ABQIAAAA8cjW1N0PzRvPHrqYQq0wiBRi8HSO02xvtm3o2yi15tKWwfvNGxSOkeVFZokzQ-QboGCceGiI5zayBQ" type="text/javascript"></script>

<script src="js/tool-map.js" type="text/javascript"></script>
<script type="text/javascript" src="js/jquery-1.4.2.min.js"></script>
<script type="text/javascript" src="js/json2.js"></script>
<script type="text/javascript">
<!--
$(document).ready(function() {
	$("#btnLoadConf").click(function() {
		$.get("app/load_osm.php", function(data) {
			var arrValues = data.split('\\:\\');
			var n = 1; 
			$.each(
				arrValues, function( intIndex, objValue){
					$("#" + n).attr("value", objValue);
					n++;
				}
			);
	   		var lat = arrValues[9];
			var lon = arrValues[10];
			setCenter(lat, lon);
		});
	});
	
	$("#save_osm").click(function() {
		var inst = $("#1").attr("value");
		var street = $("#2").attr("value");
		var plz = $("#3").attr("value");
		var city = $("#4").attr("value");
		var personname = $("#5").attr("value");
		var personvorname = $("#6").attr("value");
		var telefon = $("#7").attr("value");
		var fax = $("#8").attr("value");
		var email = $("#9").attr("value");
		var lat = $("#10").attr("value");
		var lon = $("#11").attr("value");

		$.post("app/save_osm.php", { inst: inst, street: street, plz: plz, city: city, personname: personname, personvorname: personvorname, telefon: telefon, fax: fax, email: email, lat: lat, lon: lon}, function(resp) {
			alert("kontakt.shtml wurde erstellt");
			$('#hr').append('<p>Done. Wrote contactdata.conf.</p>');
		});
	}); 		
});   
-->
</script>
</head>
<body id="bd_Osm" onload="initialize();" onunload="GUnload();">
<div id="wrapper">
	<h1 id="header">RRZE NavEditor 2.0 <sup>beta</sup></h1>
	<div id="navBar">
		<?php require('common_nav_menu.php'); ?>
	</div>
	<div id="contentPanel1">
		<form action="" method="post" name="frmEdit" id="frmEdit">
			<fieldset>
				<legend>OpenStreetMap-Kontaktseite erstellen</legend>
				<p>
					<label>Kontaktdaten laden:</label><br />
					<input type="button" id="btnLoadConf" name="btnLoadConf" value="Laden" class="button" />
				</p>
			</fieldset>
		</form>
		<form action="" method="" id="suche">
			<fieldset style="min-width:880px;">
				<legend>Kontaktdaten</legend>
				<div style="float:left;clear:none;">
					<p>
						<label>Institut</label><br />
						<input id="1" name="inst" />
					</p>
					<p>
						<label>Straße</label><br />
						<input id="2" name="street" />
					</p>
					<p>
						<label>PLZ, Stadt</label><br />
						<input id="3" name="plz" />
						<input id="4" name="city" />
					</p>
					<p>
						<label>Kontaktperson (Name, Vorname)</label><br />
						<input id="5" name="person-name" />
						<input id="6" name="person-vorname" />
					</p>
					<p>
						<label>Telefon</label><br />
						<input id="7" name="telefon" />
					</p>
					<p>
						<label>Fax</label><br />
						<input id="8" name="fax" />
					</p>
					<p>
						<label>Email</label><br />
						<input id="9" name="email" />
					</p>
					<p>
						<label>Latitude</label><br />
						<input id="10" name="lat" />
					</p>
					<p>
						<label>Longitude</label><br />
						<input id="11" name="lon" />
					</p>
					<p>
						<input id="save_osm" type="button" class="submit" name="submit" value="Kontaktseite erstellen" />
					</p>
				</div>
				<div id="map" style="margin-bottom:10px;width:500px;height:400px;float:left;clear:none;margin-left:80px;">
					<div id="GoogleMapLoading">GoogleMap loading...</div>
				</div>
				<hr size="1" noshade="noshade" id="hr" style="clear:both" />
			</fieldset>
		</form>
	</div>
<?php require('common_footer.php'); ?>
</div>
</body>
</html>
