<?php
// error_reporting(E_ALL);
// ini_set('display_errors', 'on');

// the path of NavEditor2, by default: $_SERVER['DOCUMENT_ROOT'] . '/vkdaten/tools/NavEditor2/'
// please include trailing slash!
$ne2_config_info['app_path'] = $_SERVER['DOCUMENT_ROOT'] . '/vkdaten/tools/NavEditor2/';

// the filename of user-data
$ne2_config_info['user_data_file_name'] = '.hteditoruser';

// the file containing the title (logo) of current website
$ne2_config_info['current_site_title_file'] = 'title.txt';

// where to save uploaded data (without trailing slash!)
$ne2_config_info['upload_dir'] = $_SERVER['DOCUMENT_ROOT'] . '';

// where to store backup files
$ne2_config_info['backup_root'] = $ne2_config_info['app_path'] . '.htbackup/';

// backup type: 1-Only one (with .bak-suffix); 2-Many (with Timestamp-suffix)
$ne2_config_info['backup_type'] = 2;

// current version
$ne2_config_info['version'] = '2.10.0901';

// update host
$ne2_config_info['update_url'] = 'http://www.vorlagen.uni-erlangen.de/downloads/naveditor/';

// where to backup navgationsindex.txt
$ne2_config_info['navindex_backup_dir'] = $_SERVER['DOCUMENT_ROOT'] . '/vkdaten/navindex_backup/';

// new in editor editable conf-items
require_once('classes/ConfigManager.php');

$default_conf_file = $ne2_config_info['app_path'] . 'data/ne2_config.conf';
if(!file_exists($default_conf_file)) {
	$fallback_file = $ne2_config_info['app_path'] . 'data/_ne2_config.conf';
	@copy($fallback_file, $default_conf_file);
}
$config_manager = new ConfigManager($default_conf_file);

$ne2_config_info['custom_content_css_classes'] = $config_manager->get_conf_item('custom_content_css_classes');
$ne2_config_info['show_navtree_numbers'] = $config_manager->get_conf_item('show_navtree_numbers'); // 1 or 0
$ne2_config_info['navtree_start_open'] = $config_manager->get_conf_item('navtree_start_open');
$ne2_config_info['session_timeout'] = $config_manager->get_conf_item('session_timeout');

$dashbd_feed_file = $ne2_config_info['app_path'] . 'data/dashboard_feed_url.txt';
if(file_exists($dashbd_feed_file)) {
	$dashbd_feed_url = trim(file_get_contents($dashbd_feed_file));
	$ne2_config_info['dashboard_feed'] = $dashbd_feed_url;	
} else {
	$ne2_config_info['dashboard_feed'] = 'http://blogs.fau.de/webworking/feed'; // fallback
}


// no cache!
header("Cache-Control: no-cache, must-revalidate"); // HTTP/1.1
header("Expires: Sat, 26 Jul 1997 05:00:00 GMT"); // Date in the past
?>