<?php
require_once('config.php');
require_once('../auth.php');

if($is_admin) {
	
	$path = $_SERVER['DOCUMENT_ROOT'] . '/ssi';
	
	function add_to_retval($fname) {
		global $retval;
		$arr1 = array(
			'value' => $fname,
			'text' => $fname
		);
		array_push($retval['designs'], $arr1);
	}
	
	$oper = $_REQUEST['oper'];
	$retval = array(
		'current_design' => '',
		'designs' => array()
	);
	
	if($oper == 'get_file_list') {
		if(is_dir($path)) {
			if($dh = opendir($path)) {
				while(($file = readdir($dh)) !== false) {
					if(substr($file, 0, 5) == 'head-') {
						add_to_retval($file);
					}
				}
			}
			closedir($dh);
		}
		
		$curr_fpath = $ne2_config_info['app_path'] . 'data/current_design.txt';
		$curr_fname = 'head-d3-ocean.shtml'; // default design
		if(file_exists($curr_fpath)) {
			$curr_fname = file_get_contents($curr_fpath);
		}
		
		$retval['current_design'] = $curr_fname;
		
		echo(json_encode($retval));
	} elseif($oper == 'set_head_file') {
		$old_fname = $path . '/head.shtml';
		$new_fname = $path . '/' . $_REQUEST['new_head_file'];
		
		unlink($old_fname);
		copy($new_fname, $old_fname);
		chmod($old_fname, 0755);
		
		$curr_fpath = $ne2_config_info['app_path'] . 'data/current_design.txt';
		file_put_contents($curr_fpath, $_REQUEST['new_head_file']);
		
		echo('Update done!');
	} elseif($oper == 'get_screenshot') {
		$design_file_name = $_REQUEST['head_file_name'];
		$thumb_dir_name = str_replace(array('head-', '.shtml'), '', $design_file_name);
		$thumb_path = $_SERVER['DOCUMENT_ROOT'] . '/css/' . $thumb_dir_name . '/thumb.png';
		if(file_exists($thumb_path)) {
			echo('<img alt="" src="/css/' . $thumb_dir_name . '/thumb.png" border="0" />');
		} else {
			echo('Keine Screenshots vorhanden.');
		}
	} elseif($oper == 'get_kopf_status') {
		$kopf_file = $_SERVER['DOCUMENT_ROOT'] . '/ssi/kopf.shtml';
		$zielgrpnav_sign = '/ssi/zielgruppenmenu.shtml';
		$suche_sign = '<div id="suche">';
		$kopf_content = file_get_contents($kopf_file);
		$ret_var = array(
			'suche' => TRUE,
			'ziel' => TRUE
		);
		if(strpos($kopf_content, $suche_sign) === FALSE) {
			$ret_var['suche'] = FALSE;
		}
		if(strpos($kopf_content, $zielgrpnav_sign) === FALSE) {
			$ret_var['ziel'] = FALSE;
		}
		echo(json_encode($ret_var));
	} elseif($oper == "set_kopf") {
		$kopf_settings = json_decode($_POST['settings'], TRUE);
		$suche = $kopf_settings['suche'];
		$ziel = $kopf_settings['ziel'];
		
		$src_path = $curr_fpath = $ne2_config_info['app_path'] . '/data/heads/';
		$tgt_path = $_SERVER['DOCUMENT_ROOT'] . '/ssi/kopf.shtml';
		if(($suche === TRUE) && ($ziel === TRUE)) {
			copy($src_path . 'kopf-z1s1.shtml', $tgt_path);
		} elseif(($suche === TRUE) && ($ziel === FALSE)) {
			copy($src_path . 'kopf-z0s1.shtml', $tgt_path);
		} elseif(($suche === FALSE) && ($ziel === TRUE)) {
			copy($src_path . 'kopf-z1s0.shtml', $tgt_path);
		} elseif(($suche === FALSE) && ($ziel === FALSE)) {
			copy($src_path . 'kopf-z0s0.shtml', $tgt_path);
		}
		echo("Done!");
	}
}
?>