<?php
require_once('app/config.php');
require_once('app/classes/UserMgmt_Class.php');

session_set_cookie_params($ne2_config_info['session_timeout']); // don't know if works...
session_start();

function auth401($msg = 'Contact SERVER_ADMIN for your account information.') {
/*	header('WWW-Authenticate: Basic realm="NavEditor2"');
	header('HTTP/1.0 401 Unauthorized');
	echo $msg;
	exit;*/
	req_login();
}

function req_login() {
	header('Location: login.php');
}

// if first time run (no user info), then create a form to let admin signup
$um1 = new UserMgmt();
if(is_null($um1->GetUsers())) {
	header("Location: admin_signup.php");
}

$is_admin = FALSE;
$current_user_name = NULL;
$current_user_pwd = NULL;

$has_session = FALSE;
$has_cookie = FALSE;

if(isset($_SESSION['ne2_username'])) {
	$has_session = TRUE;
} elseif(isset($_COOKIE['ne2_username'])) {
	$has_cookie = TRUE;
}

if(!($has_session || $has_cookie)) {
	req_login();
} else {
	$server_admin = $_SERVER['SERVER_ADMIN'];
	$server_admin = explode('@', $server_admin);
	$server_admin = $server_admin[0];

	if($has_session) {
		$current_user_name= $_SESSION['ne2_username'];
		$current_user_pwd = $_SESSION['ne2_password'];
	} else {
		$current_user_name= $_COOKIE['ne2_username'];
		$current_user_pwd = $_COOKIE['ne2_password'];
	}	
	
	$um = new UserMgmt();
	if(is_null($um->GetUsers())) { // no user
		throw new Exception('Error: No Users-Info found!');
	} else { // there are already some users
		if(!$um->Login($current_user_name, $current_user_pwd)) { // login failed
			if(strcmp($current_user_name, $server_admin) == 0) { // server_admin can also reg later
				if(!$um->AddUser($current_user_name, $current_user_pwd, '/index.shtml')) {
					req_login();
				} else {
					$is_admin = TRUE;
				}
			} else {
				req_login();
			}
		} else { // login ok
			if(strcmp($current_user_name, $server_admin) == 0) {
				$is_admin = TRUE;
			}
		}
	}
	
	$g_current_user_permission = $um->GetPermission($current_user_name);
}
?>
